<?php
/**
 * KnowledgeHub functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package KnowledgeHub
 * @since KnowledgeHub 1.0
 */

if (!defined('KNOWLEDGEHUB_VERSION')) {
    // Replace the version number of the theme on each release.
    define('KNOWLEDGEHUB_VERSION', '1.0.1');
}

if ( ! function_exists( 'knowledgehub_support' ) ) :
    /**
     * Sets up theme defaults and registers support for various WordPress features.
     *
     * @since 1.0.0
     *
     * @return void
     */

    function knowledgehub_support() {
        add_editor_style( get_stylesheet_directory_uri().'/assets/css/editor.css' );
        load_theme_textdomain( 'knowledgehub', get_template_directory() . '/languages' );
    }

endif;
add_action( 'after_setup_theme', 'knowledgehub_support' );

function knowledgehub_styles() {
	wp_enqueue_style(
		'knowledgehub-style',
		get_stylesheet_uri(),
		[],
		wp_get_theme()->get( 'Version' )
	);

    wp_style_add_data( 'knowledgehub-style', 'rtl', 'replace' );

	wp_enqueue_style( 'dashicons' );

    wp_enqueue_style( 'animate-css', get_template_directory_uri().'/assets/css/animate.css' );
}
add_action( 'wp_enqueue_scripts', 'knowledgehub_styles' );

function knowledgehub_scripts() {
	wp_enqueue_script( 'knowledgehub-scripts', get_template_directory_uri() . '/assets/js/theme.js', array('jquery'),'' ,true );

	wp_enqueue_script( 'jquery-wow', get_template_directory_uri() . '/assets/js/wow.js', array('jquery') );
}
add_action( 'wp_enqueue_scripts', 'knowledgehub_scripts' );

/**
 * Calling in the admin area for the Welcome Page as well as for the new theme notice too.
 */
if (is_admin()) {
    require get_template_directory() . '/inc/dashboard/class-admin.php';
    require get_template_directory() . '/inc/dashboard/class-dashboard.php';
    require get_template_directory() . '/inc/dashboard/welcome-notice.php';
}

require get_template_directory() . '/inc/dashboard/changelog.php';
require_once get_theme_file_path( '/inc/customizer.php' );